## def numerint(f, n, I):
##     for k in range(n+1):
##         print '$%s$ & V_{%s} = %.6f \\\\\\hline'%(latex(k/n), k, f(k/float(n)))
##     v = [f(k/float(n)) for k in range(n+1)]
##     L = ((v[0] + v[2] + v[4] + v[6])/4)
##     print 'left = %.6f'%L
##     R = ((v[2] + v[4] + v[6] + v[8])/4)
##     print 'right = %.6f'%R
##     M = ((v[1] + v[3] + v[5] + v[7])/4)
##     print 'mid = %.6f'%M
##     T = ((L+R)/2)
##     print 'trap = %.6f'%T
##     S = (T/3 + M*(2/3))
##     print 'simp = %.6f'%S
    

def numint1():
    def f(x): return exp(-sqrt(x))
    for k in range(9):
        print '$%s$ & V_{%s} = %.6f \\\\\\hline'%(latex(k/8), k, f(k/8.0))
    I = float(maxima('exp(-sqrt(x))').nintegral('x', 0, 1)[0])
    v = [f(k/8.0) for k in range(9)]
    L = ((v[0] + v[2] + v[4] + v[6])/4)
    print 'left = %.6f'%L
    R = ((v[2] + v[4] + v[6] + v[8])/4)
    print 'right = %.6f'%R
    M = ((v[1] + v[3] + v[5] + v[7])/4)
    print 'mid = %.6f'%M
    T = ((L+R)/2)
    print 'trap = %.6f'%T
    S = (T/3 + M*(2/3))
    print 'simp = %.6f'%S

    print '$|L_4 - I|$  & %.6f\\\\\\hline'%abs(L-I)
    print '$|R_4 - I|$  & %.6f\\\\\\hline'%abs(R-I)
    print '$|M_4 - I|$  & %.6f\\\\\\hline'%abs(M-I)
    print '$|T_{4} - I|$  & %.6f\\\\\\hline'%abs(T-I)
    print '$|S_{8} - I|$  & %.6f\\\\\\hline'%abs(S-I)
    


def sqinv(t):
    s = sum([1/n^2 for n in range(1, t+1)])
    return s, float(s)

def sqinv_float(t):
    one = float(1)
    s = sum([one/n^2 for n in range(1, t+1)])
    return s


def graph_zeta(k=10):
    x = [float(1.1+2.3*n/k) for n in range(k)]
    y = [float(zeta(s)) for s in x]
    plot(x,y)
